Bug 184185 - [PATCH] devel/p5-Capture-Tiny: update to 0.23
Summary: [PATCH] devel/p5-Capture-Tiny: update to 0.23
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-23 10:30 UTC by Po-Chuan Hsieh
Modified: 2013-11-29 17:40 UTC (History)
1 user (show)

See Also:


Attachments
p5-Capture-Tiny-0.23.patch (1.35 KB, patch)
2013-11-23 10:30 UTC, Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Po-Chuan Hsieh freebsd_committer 2013-11-23 10:30:04 UTC
- Update to 0.23
- Add TEST_DEPENDS
- Support STAGEDIR

Changes:	http://search.cpan.org/dist/Capture-Tiny/Changes

Port maintainer (bill.brinzer@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: update, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2013-11-23 10:30:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-11-23 10:30:17 UTC
Maintainer of devel/p5-Capture-Tiny,

Please note that PR ports/184185 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184185

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-11-23 10:30:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Po-Chuan Hsieh freebsd_committer 2013-11-23 14:02:46 UTC
Responsible Changed
From-To: perl->sunpoet

I'll take it.
Comment 5 Bill Brinzer 2013-11-28 02:55:58 UTC
Patch looks good to me, thanks!

Bill Brinzer

On Sat, Nov 23, 2013 at 5:30 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of devel/p5-Capture-Tiny,
>
> Please note that PR ports/184185 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184185
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
Comment 6 dfilter service freebsd_committer 2013-11-29 17:32:55 UTC
Author: sunpoet
Date: Fri Nov 29 17:32:47 2013
New Revision: 335206
URL: http://svnweb.freebsd.org/changeset/ports/335206

Log:
  - Update to 0.23
  - Add TEST_DEPENDS
  - Support STAGEDIR
  
  Changes:	http://search.cpan.org/dist/Capture-Tiny/Changes
  PR:		ports/184185
  Submitted by:	sunpoet (myself)
  Approved by:	Bill Brinzer <bill.brinzer@gmail.com> (maintainer)

Modified:
  head/devel/p5-Capture-Tiny/Makefile
  head/devel/p5-Capture-Tiny/distinfo   (contents, props changed)
  head/devel/p5-Capture-Tiny/pkg-plist   (contents, props changed)

Modified: head/devel/p5-Capture-Tiny/Makefile
==============================================================================
--- head/devel/p5-Capture-Tiny/Makefile	Fri Nov 29 17:31:26 2013	(r335205)
+++ head/devel/p5-Capture-Tiny/Makefile	Fri Nov 29 17:32:47 2013	(r335206)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	Capture-Tiny
-PORTVERSION=	0.22
+PORTVERSION=	0.23
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	CPAN:DAGOLDEN
@@ -13,10 +13,9 @@ COMMENT=	Capture STDOUT and STDERR from 
 
 LICENSE=	AL2
 
+TEST_DEPENDS=	p5-Inline>=0:${PORTSDIR}/devel/p5-Inline
+
 USES=		perl5
 USE_PERL5=	configure
 
-MAN3=		Capture::Tiny.3
-
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/p5-Capture-Tiny/distinfo
==============================================================================
--- head/devel/p5-Capture-Tiny/distinfo	Fri Nov 29 17:31:26 2013	(r335205)
+++ head/devel/p5-Capture-Tiny/distinfo	Fri Nov 29 17:32:47 2013	(r335206)
@@ -1,2 +1,2 @@
-SHA256 (Capture-Tiny-0.22.tar.gz) = 219f4778640241cbea4ae7096c55cf55353de932a9c27bec23c059ee18169985
-SIZE (Capture-Tiny-0.22.tar.gz) = 31390
+SHA256 (Capture-Tiny-0.23.tar.gz) = 427814015824014b41f666c16afadab0ea551db946e494fdfbc59c44c9569bdf
+SIZE (Capture-Tiny-0.23.tar.gz) = 32942

Modified: head/devel/p5-Capture-Tiny/pkg-plist
==============================================================================
--- head/devel/p5-Capture-Tiny/pkg-plist	Fri Nov 29 17:31:26 2013	(r335205)
+++ head/devel/p5-Capture-Tiny/pkg-plist	Fri Nov 29 17:32:47 2013	(r335206)
@@ -1,5 +1,6 @@
 %%SITE_PERL%%/Capture/Tiny.pm
 %%SITE_PERL%%/%%PERL_ARCH%%/auto/Capture/Tiny/.packlist
+%%PERL5_MAN3%%/Capture::Tiny.3.gz
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Capture/Tiny
 @dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Capture
 @dirrmtry %%SITE_PERL%%/Capture
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Po-Chuan Hsieh freebsd_committer 2013-11-29 17:33:02 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!